Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class AsmClassGenerator

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.ClassGenerator
                  org.codehaus.groovy.classgen.AsmClassGenerator

    class AsmClassGenerator
    extends ClassGenerator

Generates Java class versions of Groovy classes using ASM.

author:
  James Strachan

author:
  Bing Ran

author:
  Jochen Theodorou

author:
  Alex Popescu

author:
  Alex Tkachman

version:
  $Revision: 18252 $

Nested Class Summary
`class` | `AsmClassGenerator.AssertionTracker`

Field Summary
`static boolean` | `ASM_DEBUG`
`static boolean` | `CREATE_DEBUG_INFO`
`static boolean` | `CREATE_LINE_NUMBER_INFO`
`static MethodCaller` | `asTypeMethod`
`static MethodCaller` | `assertFailedMethod`
`static MethodCaller` | `bitwiseNegate`
`static MethodCaller` | `castToTypeMethod`
`static MethodCaller` | `compareEqualMethod`
`static MethodCaller` | `compareGreaterThanEqualMethod`
`static MethodCaller` | `compareGreaterThanMethod`
`static MethodCaller` | `compareIdenticalMethod`
`static MethodCaller` | `compareLessThanEqualMethod`
`static MethodCaller` | `compareLessThanMethod`
`static MethodCaller` | `compareNotEqualMethod`
`static MethodCaller` | `compareToMethod`
`static MethodCaller` | `createGroovyObjectWrapperMethod`
`static MethodCaller` | `createListMethod`
`static MethodCaller` | `createMapMethod`
`static MethodCaller` | `createPojoWrapperMethod`
`static MethodCaller` | `createRangeMethod`
`static MethodCaller` | `createTupleMethod`
`static MethodCaller` | `despreadList`
`static MethodCaller` | `findRegexMethod`
`static MethodCallerMultiAdapter` | `getField`
`static MethodCallerMultiAdapter` | `getFieldOnSuper`
`static MethodCallerMultiAdapter` | `getGroovyObjectField`
`static MethodCallerMultiAdapter` | `getGroovyObjectProperty`
`static MethodCaller` | `getMethodPointer`
`static MethodCallerMultiAdapter` | `getProperty`
`static MethodCallerMultiAdapter` | `getPropertyOnSuper`
`static MethodCaller` | `invokeClosureMethod`
`static MethodCallerMultiAdapter` | `invokeMethod`
`static MethodCallerMultiAdapter` | `invokeMethodOnCurrent`
`static MethodCallerMultiAdapter` | `invokeMethodOnSuper`
`static MethodCallerMultiAdapter` | `invokeNew`
`static MethodCallerMultiAdapter` | `invokeStaticMethod`
`static MethodCaller` | `isCaseMethod`
`static MethodCaller` | `iteratorHasNextMethod`
`static MethodCaller` | `iteratorNextMethod`
`static MethodCaller` | `matchRegexMethod`
`static MethodCaller` | `regexPattern`
`static MethodCaller` | `selectConstructorAndTransformArguments`
`static MethodCallerMultiAdapter` | `setField`
`static MethodCallerMultiAdapter` | `setFieldOnSuper`
`static MethodCallerMultiAdapter` | `setGroovyObjectField`
`static MethodCallerMultiAdapter` | `setGroovyObjectProperty`
`static MethodCallerMultiAdapter` | `setProperty`
`static MethodCallerMultiAdapter` | `setPropertyOnSuper`
`static MethodCaller` | `spreadMap`
`static MethodCaller` | `unaryMinus`
`static MethodCaller` | `unaryPlus`

Fields inherited from class ClassGenerator
classLoader, innerClasses

Constructor Summary
`AsmClassGenerator()`

Method Summary
`def` | `AsmClassGenerator(SourceUnit source, GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)`
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitClass(ClassNode classNode)`
`void` | `visitGenericType(GenericsType genericsType)`

Methods inherited from class ClassGenerator
getClassLoader, getInnerClasses, getSourceUnit, visitBytecodeSequence

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### ASM_DEBUG

    static final boolean ASM_DEBUG

### CREATE_DEBUG_INFO

    static final boolean CREATE_DEBUG_INFO

### CREATE_LINE_NUMBER_INFO

    static final boolean CREATE_LINE_NUMBER_INFO

### asTypeMethod

    static final MethodCaller asTypeMethod

### assertFailedMethod

    static final MethodCaller assertFailedMethod

### bitwiseNegate

    static final MethodCaller bitwiseNegate

### castToTypeMethod

    static final MethodCaller castToTypeMethod

### compareEqualMethod

    static final MethodCaller compareEqualMethod

### compareGreaterThanEqualMethod

    static final MethodCaller compareGreaterThanEqualMethod

### compareGreaterThanMethod

    static final MethodCaller compareGreaterThanMethod

### compareIdenticalMethod

    static final MethodCaller compareIdenticalMethod

### compareLessThanEqualMethod

    static final MethodCaller compareLessThanEqualMethod

### compareLessThanMethod

    static final MethodCaller compareLessThanMethod

### compareNotEqualMethod

    static final MethodCaller compareNotEqualMethod

### compareToMethod

    static final MethodCaller compareToMethod

### createGroovyObjectWrapperMethod

    static final MethodCaller createGroovyObjectWrapperMethod

### createListMethod

    static final MethodCaller createListMethod

### createMapMethod

    static final MethodCaller createMapMethod

### createPojoWrapperMethod

    static final MethodCaller createPojoWrapperMethod

### createRangeMethod

    static final MethodCaller createRangeMethod

### createTupleMethod

    static final MethodCaller createTupleMethod

### despreadList

    static final MethodCaller despreadList

### findRegexMethod

    static final MethodCaller findRegexMethod

### getField

    static final MethodCallerMultiAdapter getField

### getFieldOnSuper

    static final MethodCallerMultiAdapter getFieldOnSuper

### getGroovyObjectField

    static final MethodCallerMultiAdapter getGroovyObjectField

### getGroovyObjectProperty

    static final MethodCallerMultiAdapter getGroovyObjectProperty

### getMethodPointer

    static final MethodCaller getMethodPointer

### getProperty

    static final MethodCallerMultiAdapter getProperty

### getPropertyOnSuper

    static final MethodCallerMultiAdapter getPropertyOnSuper

### invokeClosureMethod

    static final MethodCaller invokeClosureMethod

### invokeMethod

    static final MethodCallerMultiAdapter invokeMethod

### invokeMethodOnCurrent

    static final MethodCallerMultiAdapter invokeMethodOnCurrent

### invokeMethodOnSuper

    static final MethodCallerMultiAdapter invokeMethodOnSuper

### invokeNew

    static final MethodCallerMultiAdapter invokeNew

### invokeStaticMethod

    static final MethodCallerMultiAdapter invokeStaticMethod

### isCaseMethod

    static final MethodCaller isCaseMethod

### iteratorHasNextMethod

    static final MethodCaller iteratorHasNextMethod

### iteratorNextMethod

    static final MethodCaller iteratorNextMethod

### matchRegexMethod

    static final MethodCaller matchRegexMethod

### regexPattern

    static final MethodCaller regexPattern

### selectConstructorAndTransformArguments

    static final MethodCaller selectConstructorAndTransformArguments

### setField

    static final MethodCallerMultiAdapter setField

### setFieldOnSuper

    static final MethodCallerMultiAdapter setFieldOnSuper

### setGroovyObjectField

    static final MethodCallerMultiAdapter setGroovyObjectField

### setGroovyObjectProperty

    static final MethodCallerMultiAdapter setGroovyObjectProperty

### setProperty

    static final MethodCallerMultiAdapter setProperty

### setPropertyOnSuper

    static final MethodCallerMultiAdapter setPropertyOnSuper

### spreadMap

    static final MethodCaller spreadMap

### unaryMinus

    static final MethodCaller unaryMinus

### unaryPlus

    static final MethodCaller unaryPlus

Constructor Detail

### AsmClassGenerator

    AsmClassGenerator()

Method Detail

### AsmClassGenerator

    public def AsmClassGenerator(SourceUnit source, GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)

### getSourceUnit

    protected SourceUnit getSourceUnit()

### visitClass

    public void visitClass(ClassNode classNode)

### visitGenericType

    public void visitGenericType(GenericsType genericsType)

Copyright © 2003-2009 The Codehaus. All rights reserved.